zenilib: png_xy Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
png_xy Struct Reference

`#include <pngpriv.h>`

## Public Attributes

png_fixed_point | bluex
png_fixed_point | bluey
png_fixed_point | greenx
png_fixed_point | greeny
png_fixed_point | redx
png_fixed_point | redy
png_fixed_point | whitex
png_fixed_point | whitey

## Detailed Description

Definition at line 1325 of file pngpriv.h.

## Member Data Documentation

png_fixed_point png_xy::bluex

Definition at line 1329 of file pngpriv.h.

Referenced by png_get_cHRM_XYZ_fixed(), png_handle_cHRM(), png_set_cHRM_XYZ_fixed(), png_xy_from_XYZ(), and png_XYZ_from_xy().

png_fixed_point png_xy::bluey

Definition at line 1329 of file pngpriv.h.

Referenced by png_get_cHRM_XYZ_fixed(), png_handle_cHRM(), png_set_cHRM_XYZ_fixed(), png_xy_from_XYZ(), and png_XYZ_from_xy().

png_fixed_point png_xy::greenx

Definition at line 1328 of file pngpriv.h.

Referenced by png_get_cHRM_XYZ_fixed(), png_handle_cHRM(), png_set_cHRM_XYZ_fixed(), png_xy_from_XYZ(), and png_XYZ_from_xy().

png_fixed_point png_xy::greeny

Definition at line 1328 of file pngpriv.h.

Referenced by png_get_cHRM_XYZ_fixed(), png_handle_cHRM(), png_set_cHRM_XYZ_fixed(), png_xy_from_XYZ(), and png_XYZ_from_xy().

png_fixed_point png_xy::redx

Definition at line 1327 of file pngpriv.h.

Referenced by png_get_cHRM_XYZ_fixed(), png_handle_cHRM(), png_set_cHRM_XYZ_fixed(), png_xy_from_XYZ(), and png_XYZ_from_xy().

png_fixed_point png_xy::redy

Definition at line 1327 of file pngpriv.h.

Referenced by png_get_cHRM_XYZ_fixed(), png_handle_cHRM(), png_set_cHRM_XYZ_fixed(), png_xy_from_XYZ(), and png_XYZ_from_xy().

png_fixed_point png_xy::whitex

Definition at line 1330 of file pngpriv.h.

Referenced by png_get_cHRM_XYZ_fixed(), png_handle_cHRM(), png_set_cHRM_XYZ_fixed(), png_xy_from_XYZ(), and png_XYZ_from_xy().

png_fixed_point png_xy::whitey

Definition at line 1330 of file pngpriv.h.

Referenced by png_get_cHRM_XYZ_fixed(), png_handle_cHRM(), png_set_cHRM_XYZ_fixed(), png_xy_from_XYZ(), and png_XYZ_from_xy().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/libpng/pngpriv.h